# distinct-values

Returns the set of distinct values present in a given sequence.

distinct-values($arg as xs:anyAtomicType*) → xs:anyAtomicType*

Arguments
| $arg | xs:anyAtomicType* | The sequence to be de-duplicated
Result | xs:anyAtomicType*

distinct-values($arg as xs:anyAtomicType*, $collation as xs:string) → xs:anyAtomicType*

Arguments
| $arg | xs:anyAtomicType* | The sequence to be de-duplicated
| $collation | xs:string | The collation used for comparing strings
Result | xs:anyAtomicType*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The current Saxon implementation returns the values in "order of first appearance", but it cannot be assumed that this will always remain the case.

Next